Date: Thursday, October 13, 2016 @ 09:09:39
  Author: felixonmars
Revision: 192155

archrelease: copy trunk to community-i686, community-x86_64

Added:
  nodejs/repos/community-i686/6.8.0-build-fix.patch
    (from rev 192154, nodejs/trunk/6.8.0-build-fix.patch)
  nodejs/repos/community-i686/PKGBUILD
    (from rev 192154, nodejs/trunk/PKGBUILD)
  nodejs/repos/community-x86_64/6.8.0-build-fix.patch
    (from rev 192154, nodejs/trunk/6.8.0-build-fix.patch)
  nodejs/repos/community-x86_64/PKGBUILD
    (from rev 192154, nodejs/trunk/PKGBUILD)
Deleted:
  nodejs/repos/community-i686/PKGBUILD
  nodejs/repos/community-x86_64/PKGBUILD

----------------------------------------+
 /PKGBUILD                              |  148 +++++++++++++++++++++++++++++++
 community-i686/6.8.0-build-fix.patch   |   30 ++++++
 community-i686/PKGBUILD                |   69 --------------
 community-x86_64/6.8.0-build-fix.patch |   30 ++++++
 community-x86_64/PKGBUILD              |   69 --------------
 5 files changed, 208 insertions(+), 138 deletions(-)

Copied: nodejs/repos/community-i686/6.8.0-build-fix.patch (from rev 192154, 
nodejs/trunk/6.8.0-build-fix.patch)
===================================================================
--- community-i686/6.8.0-build-fix.patch                                (rev 0)
+++ community-i686/6.8.0-build-fix.patch        2016-10-13 09:09:39 UTC (rev 
192155)
@@ -0,0 +1,30 @@
+From fc164acbbb700fd50ab9c04b47fc1b2687e9c0f4 Mon Sep 17 00:00:00 2001
+From: "Bradley T. Hughes" <bradleythug...@fastmail.fm>
+Date: Thu, 13 Oct 2016 07:38:38 +0000
+Subject: [PATCH] build: add -DZLIB_CONST when building with --shared-zlib
+
+Commit 782620f added the define only when building with the bundled
+zlib. Using a shared zlib results in build breakage:
+
+../src/inspector_agent.cc:179:16: error: assigning to 'Bytef *' (aka 'unsigned 
char *') from incompatible type
+      'const uint8_t *' (aka 'const unsigned char *')
+  strm.next_in = PROTOCOL_JSON + 3;
+               ^ ~~~~~~~~~~~~~~~~~
+1 error generated.
+---
+ node.gyp | 2 ++
+ 1 file changed, 2 insertions(+)
+
+diff --git a/node.gyp b/node.gyp
+index fa98547..d799ba1 100644
+--- a/node.gyp
++++ b/node.gyp
+@@ -480,6 +480,8 @@
+         }],
+         [ 'node_shared_zlib=="false"', {
+           'dependencies': [ 'deps/zlib/zlib.gyp:zlib' ],
++        }, {
++          'defines': [ 'ZLIB_CONST' ],
+         }],
+ 
+         [ 'node_shared_http_parser=="false"', {

Deleted: community-i686/PKGBUILD
===================================================================
--- community-i686/PKGBUILD     2016-10-13 09:09:05 UTC (rev 192154)
+++ community-i686/PKGBUILD     2016-10-13 09:09:39 UTC (rev 192155)
@@ -1,69 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonm...@archlinux.org>
-# Contributor  Bartłomiej Piotrowski <bpiotrow...@archlinux.org>
-# Contributor: Thomas Dziedzic < gostrc at gmail >
-# Contributor: James Campos <james.r.cam...@gmail.com>
-# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
-# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
-# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
-# Contributor: TIanyi Cui <tianyi...@gmail.com>
-
-pkgname=nodejs
-pkgver=6.7.0
-pkgrel=1
-pkgdesc='Evented I/O for V8 javascript'
-arch=('i686' 'x86_64')
-url='http://nodejs.org/'
-license=('MIT')
-depends=('openssl' 'zlib' 'icu' 'libuv' 'http-parser') # 'v8')
-makedepends=('python2' 'procps-ng' 'git')
-optdepends=('npm: nodejs package manager')
-source=("nodejs::git+https://github.com/nodejs/node.git#tag=v$pkgver";)
-sha256sums=('SKIP')
-
-prepare() {
-  cd nodejs
-
-  msg 'Fixing for python2 name'
-  find -type f -exec sed \
-    -e 's_^#!/usr/bin/env python$_&2_' \
-    -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
-    -e 's_^#!/usr/bin/python$_&2_' \
-    -e 's_^\( *exec \+\)python\( \+.*\)$_\1python2\2_'\
-    -e 's_^\(.*\)python\( \+-c \+.*\)$_\1python2\2_'\
-    -e "s_'python'_'python2'_" -i {} \;
-  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
-}
-
-build() {
-  cd nodejs
-
-  export PYTHON=python2
-  ./configure \
-    --prefix=/usr \
-    --with-intl=system-icu \
-    --without-npm \
-    --shared-openssl \
-    --shared-zlib \
-    --shared-libuv \
-    --shared-http-parser
-    # --shared-v8
-
-  make
-}
-
-check() {
-  cd nodejs
-  make test || warning "Tests failed"
-}
-
-package() {
-  cd nodejs
-
-  make DESTDIR="$pkgdir" install
-
-  install -D -m644 LICENSE \
-    "$pkgdir"/usr/share/licenses/nodejs/LICENSE
-}
-
-# vim:set ts=2 sw=2 et:

Copied: nodejs/repos/community-i686/PKGBUILD (from rev 192154, 
nodejs/trunk/PKGBUILD)
===================================================================
--- community-i686/PKGBUILD                             (rev 0)
+++ community-i686/PKGBUILD     2016-10-13 09:09:39 UTC (rev 192155)
@@ -0,0 +1,74 @@
+# $Id$
+# Maintainer: Felix Yan <felixonm...@archlinux.org>
+# Contributor  Bartłomiej Piotrowski <bpiotrow...@archlinux.org>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: James Campos <james.r.cam...@gmail.com>
+# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
+# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
+# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
+# Contributor: TIanyi Cui <tianyi...@gmail.com>
+
+pkgname=nodejs
+pkgver=6.8.0
+pkgrel=1
+pkgdesc='Evented I/O for V8 javascript'
+arch=('i686' 'x86_64')
+url='http://nodejs.org/'
+license=('MIT')
+depends=('openssl' 'zlib' 'icu' 'libuv' 'http-parser') # 'v8')
+makedepends=('python2' 'procps-ng' 'git')
+optdepends=('npm: nodejs package manager')
+source=("nodejs::git+https://github.com/nodejs/node.git#tag=v$pkgver";
+        6.8.0-build-fix.patch)
+sha256sums=('SKIP'
+            'bc9c4c1fcef55e6163daf7c4ee882d8a23973e16e28fea508ee72478cb9941fa')
+
+prepare() {
+  cd nodejs
+
+  # https://github.com/nodejs/node/issues/9076
+  patch -p1 -i ../6.8.0-build-fix.patch
+
+  msg 'Fixing for python2 name'
+  find -type f -exec sed \
+    -e 's_^#!/usr/bin/env python$_&2_' \
+    -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
+    -e 's_^#!/usr/bin/python$_&2_' \
+    -e 's_^\( *exec \+\)python\( \+.*\)$_\1python2\2_'\
+    -e 's_^\(.*\)python\( \+-c \+.*\)$_\1python2\2_'\
+    -e "s_'python'_'python2'_" -i {} \;
+  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
+}
+
+build() {
+  cd nodejs
+
+  export PYTHON=python2
+  ./configure \
+    --prefix=/usr \
+    --with-intl=system-icu \
+    --without-npm \
+    --shared-openssl \
+    --shared-zlib \
+    --shared-libuv \
+    --shared-http-parser
+    # --shared-v8
+
+  make
+}
+
+check() {
+  cd nodejs
+  make test
+}
+
+package() {
+  cd nodejs
+
+  make DESTDIR="$pkgdir" install
+
+  install -D -m644 LICENSE \
+    "$pkgdir"/usr/share/licenses/nodejs/LICENSE
+}
+
+# vim:set ts=2 sw=2 et:

Copied: nodejs/repos/community-x86_64/6.8.0-build-fix.patch (from rev 192154, 
nodejs/trunk/6.8.0-build-fix.patch)
===================================================================
--- community-x86_64/6.8.0-build-fix.patch                              (rev 0)
+++ community-x86_64/6.8.0-build-fix.patch      2016-10-13 09:09:39 UTC (rev 
192155)
@@ -0,0 +1,30 @@
+From fc164acbbb700fd50ab9c04b47fc1b2687e9c0f4 Mon Sep 17 00:00:00 2001
+From: "Bradley T. Hughes" <bradleythug...@fastmail.fm>
+Date: Thu, 13 Oct 2016 07:38:38 +0000
+Subject: [PATCH] build: add -DZLIB_CONST when building with --shared-zlib
+
+Commit 782620f added the define only when building with the bundled
+zlib. Using a shared zlib results in build breakage:
+
+../src/inspector_agent.cc:179:16: error: assigning to 'Bytef *' (aka 'unsigned 
char *') from incompatible type
+      'const uint8_t *' (aka 'const unsigned char *')
+  strm.next_in = PROTOCOL_JSON + 3;
+               ^ ~~~~~~~~~~~~~~~~~
+1 error generated.
+---
+ node.gyp | 2 ++
+ 1 file changed, 2 insertions(+)
+
+diff --git a/node.gyp b/node.gyp
+index fa98547..d799ba1 100644
+--- a/node.gyp
++++ b/node.gyp
+@@ -480,6 +480,8 @@
+         }],
+         [ 'node_shared_zlib=="false"', {
+           'dependencies': [ 'deps/zlib/zlib.gyp:zlib' ],
++        }, {
++          'defines': [ 'ZLIB_CONST' ],
+         }],
+ 
+         [ 'node_shared_http_parser=="false"', {

Deleted: community-x86_64/PKGBUILD
===================================================================
--- community-x86_64/PKGBUILD   2016-10-13 09:09:05 UTC (rev 192154)
+++ community-x86_64/PKGBUILD   2016-10-13 09:09:39 UTC (rev 192155)
@@ -1,69 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonm...@archlinux.org>
-# Contributor  Bartłomiej Piotrowski <bpiotrow...@archlinux.org>
-# Contributor: Thomas Dziedzic < gostrc at gmail >
-# Contributor: James Campos <james.r.cam...@gmail.com>
-# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
-# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
-# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
-# Contributor: TIanyi Cui <tianyi...@gmail.com>
-
-pkgname=nodejs
-pkgver=6.7.0
-pkgrel=1
-pkgdesc='Evented I/O for V8 javascript'
-arch=('i686' 'x86_64')
-url='http://nodejs.org/'
-license=('MIT')
-depends=('openssl' 'zlib' 'icu' 'libuv' 'http-parser') # 'v8')
-makedepends=('python2' 'procps-ng' 'git')
-optdepends=('npm: nodejs package manager')
-source=("nodejs::git+https://github.com/nodejs/node.git#tag=v$pkgver";)
-sha256sums=('SKIP')
-
-prepare() {
-  cd nodejs
-
-  msg 'Fixing for python2 name'
-  find -type f -exec sed \
-    -e 's_^#!/usr/bin/env python$_&2_' \
-    -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
-    -e 's_^#!/usr/bin/python$_&2_' \
-    -e 's_^\( *exec \+\)python\( \+.*\)$_\1python2\2_'\
-    -e 's_^\(.*\)python\( \+-c \+.*\)$_\1python2\2_'\
-    -e "s_'python'_'python2'_" -i {} \;
-  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
-}
-
-build() {
-  cd nodejs
-
-  export PYTHON=python2
-  ./configure \
-    --prefix=/usr \
-    --with-intl=system-icu \
-    --without-npm \
-    --shared-openssl \
-    --shared-zlib \
-    --shared-libuv \
-    --shared-http-parser
-    # --shared-v8
-
-  make
-}
-
-check() {
-  cd nodejs
-  make test || warning "Tests failed"
-}
-
-package() {
-  cd nodejs
-
-  make DESTDIR="$pkgdir" install
-
-  install -D -m644 LICENSE \
-    "$pkgdir"/usr/share/licenses/nodejs/LICENSE
-}
-
-# vim:set ts=2 sw=2 et:

Copied: nodejs/repos/community-x86_64/PKGBUILD (from rev 192154, 
nodejs/trunk/PKGBUILD)
===================================================================
--- community-x86_64/PKGBUILD                           (rev 0)
+++ community-x86_64/PKGBUILD   2016-10-13 09:09:39 UTC (rev 192155)
@@ -0,0 +1,74 @@
+# $Id$
+# Maintainer: Felix Yan <felixonm...@archlinux.org>
+# Contributor  Bartłomiej Piotrowski <bpiotrow...@archlinux.org>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: James Campos <james.r.cam...@gmail.com>
+# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
+# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
+# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
+# Contributor: TIanyi Cui <tianyi...@gmail.com>
+
+pkgname=nodejs
+pkgver=6.8.0
+pkgrel=1
+pkgdesc='Evented I/O for V8 javascript'
+arch=('i686' 'x86_64')
+url='http://nodejs.org/'
+license=('MIT')
+depends=('openssl' 'zlib' 'icu' 'libuv' 'http-parser') # 'v8')
+makedepends=('python2' 'procps-ng' 'git')
+optdepends=('npm: nodejs package manager')
+source=("nodejs::git+https://github.com/nodejs/node.git#tag=v$pkgver";
+        6.8.0-build-fix.patch)
+sha256sums=('SKIP'
+            'bc9c4c1fcef55e6163daf7c4ee882d8a23973e16e28fea508ee72478cb9941fa')
+
+prepare() {
+  cd nodejs
+
+  # https://github.com/nodejs/node/issues/9076
+  patch -p1 -i ../6.8.0-build-fix.patch
+
+  msg 'Fixing for python2 name'
+  find -type f -exec sed \
+    -e 's_^#!/usr/bin/env python$_&2_' \
+    -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
+    -e 's_^#!/usr/bin/python$_&2_' \
+    -e 's_^\( *exec \+\)python\( \+.*\)$_\1python2\2_'\
+    -e 's_^\(.*\)python\( \+-c \+.*\)$_\1python2\2_'\
+    -e "s_'python'_'python2'_" -i {} \;
+  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
+}
+
+build() {
+  cd nodejs
+
+  export PYTHON=python2
+  ./configure \
+    --prefix=/usr \
+    --with-intl=system-icu \
+    --without-npm \
+    --shared-openssl \
+    --shared-zlib \
+    --shared-libuv \
+    --shared-http-parser
+    # --shared-v8
+
+  make
+}
+
+check() {
+  cd nodejs
+  make test
+}
+
+package() {
+  cd nodejs
+
+  make DESTDIR="$pkgdir" install
+
+  install -D -m644 LICENSE \
+    "$pkgdir"/usr/share/licenses/nodejs/LICENSE
+}
+
+# vim:set ts=2 sw=2 et:

Reply via email to